AUDIT_DELETE_RULE_DATA(3)

NAME
audit_delete_rule_data - Delete audit rule

SYNOPSIS
#include <libaudit.h>

int audit_delete_rule_data(int fd, struct audit_rule_data *rule, int flags, int action);"

DESCRIPTION
audit_delete_rule_data is used to delete rules that are currently loaded in the kernel. The file descriptor is given in fd and the rule description in rule. To delete a rule, you must set up the rules identical to the one being deleted. See audit_add_rule_data for flags and action definitions.

RETURN VALUE
The return value is <= 0 on error, otherwise it is the netlink sequence id number. This function can have any error that sendto would encounter.

SEE ALSO
audit_add_rule_data(3), auditctl(8).

AUTHOR
Steve Grubb